org.apache.pdfbox.preflight.process.reflect

## Class ResourcesValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.ResourcesValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class ResourcesValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`ResourcesValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext ctx)`
`protected void` `validateExtGStates(PreflightContext context, org.apache.pdfbox.pdmodel.PDResources resources)`
`protected void` `validateFonts(PreflightContext context, org.apache.pdfbox.pdmodel.PDResources resources)` Check that fonts present in the Resources dictionary match with PDF/A-1 rules
`protected void` `validateShadingPattern(PreflightContext context, org.apache.pdfbox.pdmodel.PDResources resources)` This method check the Shading entry of the resource dictionary if exists.
`protected void` `validateTilingPattern(PreflightContext context, org.apache.pdfbox.pdmodel.PDResources resources)` This method check the Shading entry of the resource dictionary if exists.
`protected void` `validateXObjects(PreflightContext context, org.apache.pdfbox.pdmodel.PDResources resources)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourcesValidationProcess

    public ResourcesValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext ctx)
                  throws ValidationException

Throws:
  `ValidationException`

#### validateFonts

    protected void validateFonts(PreflightContext context,
                                 org.apache.pdfbox.pdmodel.PDResources resources)
                          throws ValidationException

Check that fonts present in the Resources dictionary match with PDF/A-1 rules

Parameters:
  `context` -
  `resources` -
Throws:
  `ValidationException`

#### validateExtGStates

    protected void validateExtGStates(PreflightContext context,
                                      org.apache.pdfbox.pdmodel.PDResources resources)
                               throws ValidationException

Parameters:
  `context` -
  `resources` -
Throws:
  `ValidationException`

#### validateShadingPattern

    protected void validateShadingPattern(PreflightContext context,
                                          org.apache.pdfbox.pdmodel.PDResources resources)
                                   throws ValidationException

This method check the Shading entry of the resource dictionary if exists.

Parameters:
  `context` -
  `resources` -
Throws:
  `ValidationException`

#### validateTilingPattern

    protected void validateTilingPattern(PreflightContext context,
                                         org.apache.pdfbox.pdmodel.PDResources resources)
                                  throws ValidationException

This method check the Shading entry of the resource dictionary if exists.

Parameters:
  `context` -
  `resources` -
Throws:
  `ValidationException`

#### validateXObjects

    protected void validateXObjects(PreflightContext context,
                                    org.apache.pdfbox.pdmodel.PDResources resources)
                             throws ValidationException

Throws:
  `ValidationException`